/**
 * @brief Header file for Enduro/X compatiblity with tpadm.pm
 *
 * @file Excompat.h
 */
/* -----------------------------------------------------------------------------
 * Enduro/X Middleware Platform for Distributed Transaction Processing
 * Copyright (C) 2009-2016, ATR Baltic, Ltd. All Rights Reserved.
 * Copyright (C) 2017-2019, Mavimax, Ltd. All Rights Reserved.
 * This software is released under one of the following licenses:
 * AGPL (with Java and Go exceptions) or Mavimax's license for commercial use.
 * See LICENSE file for full text.
 * -----------------------------------------------------------------------------
 * AGPL license:
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License, version 3 as published
 * by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU Affero General Public License, version 3
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along 
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * -----------------------------------------------------------------------------
 * A commercial use license is available from Mavimax, Ltd
 * contact@mavimax.com
 * -----------------------------------------------------------------------------
 */
#ifndef __EXCMPAT_H
#define __EXCMPAT_H
/*	fname	bfldid            */
/*	-----	-----            */
#define	TA_ACCWORD	((BFLDID32)33556451)	/* number: 2019	 type: long */
#define	TA_ACLCACHEACCESS	((BFLDID32)33556453)	/* number: 2021	 type: long */
#define	TA_ACLCACHEHITS	((BFLDID32)33556454)	/* number: 2022	 type: long */
#define	TA_ACLFAIL	((BFLDID32)33556455)	/* number: 2023	 type: long */
#define	TA_ACLGROUPIDS	((BFLDID32)167774184)	/* number: 2024	 type: string */
#define	TA_ACLNAME	((BFLDID32)167774185)	/* number: 2025	 type: string */
#define	TA_ACLTYPE	((BFLDID32)167774186)	/* number: 2026	 type: string */
#define	TA_ACN2	((BFLDID32)2027)	/* number: 2027	 type: short */
#define	TA_ACTIVE	((BFLDID32)167774188)	/* number: 2028	 type: string */
#define	TA_AEQLEN	((BFLDID32)2030)	/* number: 2030	 type: short */
#define	TA_ALLOWSHRINKING	((BFLDID32)167774203)	/* number: 2043	 type: string */
#define	TA_APPDIR	((BFLDID32)167774204)	/* number: 2044	 type: string */
#define	TA_APPQMSGID	((BFLDID32)167774205)	/* number: 2045	 type: string */
#define	TA_APPQNAME	((BFLDID32)167774206)	/* number: 2046	 type: string */
#define	TA_APPQORDER	((BFLDID32)167774207)	/* number: 2047	 type: string */
#define	TA_APPQSPACENAME	((BFLDID32)167774208)	/* number: 2048	 type: string */
#define	TA_APPQSPACERM	((BFLDID32)167774209)	/* number: 2049	 type: string */
#define	TA_APTLEN	((BFLDID32)2050)	/* number: 2050	 type: short */
#define	TA_ATTFLAGS	((BFLDID32)33556486)	/* number: 2054	 type: long */
#define	TA_ATTRIBUTE	((BFLDID32)33556487)	/* number: 2055	 type: long */
#define	TA_AUTHSVC	((BFLDID32)167774222)	/* number: 2062	 type: string */
#define	TA_AUTOTRAN	((BFLDID32)167774223)	/* number: 2063	 type: string */
#define	TA_AUTOTRAN2	((BFLDID32)2064)	/* number: 2064	 type: short */
#define	TA_AWAITINGCONN	((BFLDID32)33556497)	/* number: 2065	 type: long */
#define	TA_BADFLD	((BFLDID32)33556499)	/* number: 2067	 type: long */
#define	TA_BASESRVID	((BFLDID32)33556500)	/* number: 2068	 type: long */
#define	TA_BBLQUERY	((BFLDID32)33556501)	/* number: 2069	 type: long */
#define	TA_BLOB_SHM_SIZE	((BFLDID32)33556504)	/* number: 2072	 type: long */
#define	TA_BLOB_TYPE	((BFLDID32)167774233)	/* number: 2073	 type: string */
#define	TA_BLOB_VALUE	((BFLDID32)201328666)	/* number: 2074	 type: carray */
#define	TA_BLOCKING	((BFLDID32)33556507)	/* number: 2075	 type: long */
#define	TA_BLOCKTIME	((BFLDID32)33556508)	/* number: 2076	 type: long */
#define	TA_BRIDGE	((BFLDID32)167774237)	/* number: 2077	 type: string */
#define	TA_BUFTYPE	((BFLDID32)167774239)	/* number: 2079	 type: string */
#define	TA_CAPACITYINCR	((BFLDID32)33556517)	/* number: 2085	 type: long */
#define	TA_CFGDEVICE	((BFLDID32)167774248)	/* number: 2088	 type: string */
#define	TA_CFGOFFSET	((BFLDID32)33556521)	/* number: 2089	 type: long */
#define	TA_CLASS	((BFLDID32)167774250)	/* number: 2090	 type: string */
#define	TA_CLASSNAME	((BFLDID32)167774251)	/* number: 2091	 type: string */
#define	TA_CLASSPATH	((BFLDID32)167774252)	/* number: 2092	 type: string */
#define	TA_CLIENTID	((BFLDID32)167774253)	/* number: 2093	 type: string */
#define	TA_CLOPT	((BFLDID32)167774254)	/* number: 2094	 type: string */
#define	TA_CLOSEINFO	((BFLDID32)167774255)	/* number: 2095	 type: string */
#define	TA_CLTLMID	((BFLDID32)167774256)	/* number: 2096	 type: string */
#define	TA_CLTNAME	((BFLDID32)167774257)	/* number: 2097	 type: string */
#define	TA_CLTPID	((BFLDID32)33556530)	/* number: 2098	 type: long */
#define	TA_CLTREPLY	((BFLDID32)167774259)	/* number: 2099	 type: string */
#define	TA_CMD	((BFLDID32)167774260)	/* number: 2100	 type: string */
#define	TA_CMDHW	((BFLDID32)167774261)	/* number: 2101	 type: string */
#define	TA_CMDLW	((BFLDID32)167774262)	/* number: 2102	 type: string */
#define	TA_CMDNONPERSIST	((BFLDID32)167774263)	/* number: 2103	 type: string */
#define	TA_CMDNONPERSISTHW	((BFLDID32)167774264)	/* number: 2104	 type: string */
#define	TA_CMDNONPERSISTLW	((BFLDID32)167774265)	/* number: 2105	 type: string */
#define	TA_CMPLIMIT	((BFLDID32)167774266)	/* number: 2106	 type: string */
#define	TA_CMTRET	((BFLDID32)167774267)	/* number: 2107	 type: string */
#define	TA_COMMAND	((BFLDID32)167774268)	/* number: 2108	 type: string */
#define	TA_COMPONENTS	((BFLDID32)167774269)	/* number: 2109	 type: string */
#define	TA_CONNAVAILABLE	((BFLDID32)33556544)	/* number: 2112	 type: long */
#define	TA_CONNOGRPNO	((BFLDID32)33556545)	/* number: 2113	 type: long */
#define	TA_CONNOLMID	((BFLDID32)167774274)	/* number: 2114	 type: string */
#define	TA_CONNOPID	((BFLDID32)33556547)	/* number: 2115	 type: long */
#define	TA_CONNOREGIDX	((BFLDID32)33556548)	/* number: 2116	 type: long */
#define	TA_CONNOSNDCNT	((BFLDID32)33556549)	/* number: 2117	 type: long */
#define	TA_CONNOSRVID	((BFLDID32)33556550)	/* number: 2118	 type: long */
#define	TA_CONNSGRPNO	((BFLDID32)33556551)	/* number: 2119	 type: long */
#define	TA_CONNSLMID	((BFLDID32)167774280)	/* number: 2120	 type: string */
#define	TA_CONNSPID	((BFLDID32)33556553)	/* number: 2121	 type: long */
#define	TA_CONNSSNDCNT	((BFLDID32)33556554)	/* number: 2122	 type: long */
#define	TA_CONNSSRVID	((BFLDID32)33556555)	/* number: 2123	 type: long */
#define	TA_CONNUSED	((BFLDID32)33556556)	/* number: 2124	 type: long */
#define	TA_CONTEXTID	((BFLDID32)33556557)	/* number: 2125	 type: long */
#define	TA_CONTEXT_ID	((BFLDID32)33556558)	/* number: 2126	 type: long */
#define	TA_CONTIME	((BFLDID32)33556559)	/* number: 2127	 type: long */
#define	TA_CONV	((BFLDID32)167774288)	/* number: 2128	 type: string */
#define	TA_CONV2	((BFLDID32)2129)	/* number: 2129	 type: short */
#define	TA_COORDGRPNO	((BFLDID32)33556562)	/* number: 2130	 type: long */
#define	TA_COORDLMID	((BFLDID32)167774291)	/* number: 2131	 type: string */
#define	TA_COORDSRVGRP	((BFLDID32)167774292)	/* number: 2132	 type: string */
#define	TA_CORRID	((BFLDID32)167774293)	/* number: 2133	 type: string */
#define	TA_CREATEONSTARTUP	((BFLDID32)167774294)	/* number: 2134	 type: string */
#define	TA_CURACCESSERS	((BFLDID32)33556568)	/* number: 2136	 type: long */
#define	TA_CURACTEV	((BFLDID32)33556569)	/* number: 2137	 type: long */
#define	TA_CURACTIONS	((BFLDID32)33556570)	/* number: 2138	 type: long */
#define	TA_CURACTRQ	((BFLDID32)33556571)	/* number: 2139	 type: long */
#define	TA_CURBLOCKS	((BFLDID32)33556573)	/* number: 2141	 type: long */
#define	TA_CURCLIENTS	((BFLDID32)33556574)	/* number: 2142	 type: long */
#define	TA_CURCONV	((BFLDID32)33556575)	/* number: 2143	 type: long */
#define	TA_CURCURSORS	((BFLDID32)33556576)	/* number: 2144	 type: long */
#define	TA_CURDISPATCHTHREADS	((BFLDID32)33556577)	/* number: 2145	 type: long */
#define	TA_CURDRT	((BFLDID32)33556578)	/* number: 2146	 type: long */
#define	TA_CURENCRYPTBITS	((BFLDID32)167774307)	/* number: 2147	 type: string */
#define	TA_CUREXTENT	((BFLDID32)33556580)	/* number: 2148	 type: long */
#define	TA_CURGROUPS	((BFLDID32)33556581)	/* number: 2149	 type: long */
#define	TA_CURGTT	((BFLDID32)33556582)	/* number: 2150	 type: long */
#define	TA_CURHANDLERS	((BFLDID32)33556583)	/* number: 2151	 type: long */
#define	TA_CURHANDLES	((BFLDID32)33556584)	/* number: 2152	 type: long */
#define	TA_CURINTERFACE	((BFLDID32)167774314)	/* number: 2154	 type: string */
#define	TA_CURINTERFACES	((BFLDID32)33556587)	/* number: 2155	 type: long */
#define	TA_CURLMID	((BFLDID32)167774317)	/* number: 2157	 type: string */
#define	TA_CURMACHINES	((BFLDID32)33556590)	/* number: 2158	 type: long */
#define	TA_CURMEMFILTERS	((BFLDID32)33556591)	/* number: 2159	 type: long */
#define	TA_CURMEMNONPERSIST	((BFLDID32)33556592)	/* number: 2160	 type: long */
#define	TA_CURMEMOVERFLOW	((BFLDID32)33556593)	/* number: 2161	 type: long */
#define	TA_CURMSG	((BFLDID32)33556594)	/* number: 2162	 type: long */
#define	TA_CURNONPERSISTBYTES	((BFLDID32)33556595)	/* number: 2163	 type: long */
#define	TA_CURNONPERSISTMSG	((BFLDID32)33556596)	/* number: 2164	 type: long */
#define	TA_CUROBJECTS	((BFLDID32)33556597)	/* number: 2165	 type: long */
#define	TA_CUROWNERS	((BFLDID32)33556598)	/* number: 2166	 type: long */
#define	TA_CURPROC	((BFLDID32)33556599)	/* number: 2167	 type: long */
#define	TA_CURQUEUES	((BFLDID32)33556600)	/* number: 2168	 type: long */
#define	TA_CURREQ	((BFLDID32)33556601)	/* number: 2169	 type: long */
#define	TA_CURRETRIES	((BFLDID32)33556602)	/* number: 2170	 type: long */
#define	TA_CURRFT	((BFLDID32)33556603)	/* number: 2171	 type: long */
#define	TA_CURRLOAD	((BFLDID32)33556604)	/* number: 2172	 type: long */
#define	TA_CURRSERVICE	((BFLDID32)167774333)	/* number: 2173	 type: string */
#define	TA_CURRTDATA	((BFLDID32)33556606)	/* number: 2174	 type: long */
#define	TA_CURSERVERS	((BFLDID32)33556608)	/* number: 2176	 type: long */
#define	TA_CURSERVICES	((BFLDID32)33556609)	/* number: 2177	 type: long */
#define	TA_CURSOR	((BFLDID32)167774339)	/* number: 2179	 type: string */
#define	TA_CURSORHOLD	((BFLDID32)33556612)	/* number: 2180	 type: long */
#define	TA_CURSTYPE	((BFLDID32)33556613)	/* number: 2181	 type: long */
#define	TA_CURSUSPNEV	((BFLDID32)33556614)	/* number: 2182	 type: long */
#define	TA_CURSUSPTEV	((BFLDID32)33556615)	/* number: 2183	 type: long */
#define	TA_CURTIME	((BFLDID32)33556616)	/* number: 2184	 type: long */
#define	TA_CURTMPQUEUES	((BFLDID32)33556617)	/* number: 2185	 type: long */
#define	TA_CURTRANS	((BFLDID32)33556618)	/* number: 2186	 type: long */
#define	TA_CURTRANSACTIONS	((BFLDID32)33556619)	/* number: 2187	 type: long */
#define	TA_CURTYPE	((BFLDID32)33556620)	/* number: 2188	 type: long */
#define	TA_CURWORK	((BFLDID32)33556621)	/* number: 2189	 type: long */
#define	TA_CURWSCLIENTS	((BFLDID32)33556622)	/* number: 2190	 type: long */
#define	TA_DBBLWAIT	((BFLDID32)33556625)	/* number: 2193	 type: long */
#define	TA_DBHOST	((BFLDID32)167774354)	/* number: 2194	 type: string */
#define	TA_DBNAME	((BFLDID32)167774355)	/* number: 2195	 type: string */
#define	TA_DBNETPROTOCOL	((BFLDID32)167774356)	/* number: 2196	 type: string */
#define	TA_DBPASSWORD	((BFLDID32)167774357)	/* number: 2197	 type: string */
#define	TA_DBPORT	((BFLDID32)33556630)	/* number: 2198	 type: long */
#define	TA_DBUSER	((BFLDID32)167774359)	/* number: 2199	 type: string */
#define	TA_DEBUG	((BFLDID32)167774360)	/* number: 2200	 type: string */
#define	TA_DEFAULT	((BFLDID32)167774361)	/* number: 2201	 type: string */
#define	TA_DEFDELIVERYPOLICY	((BFLDID32)167774362)	/* number: 2202	 type: string */
#define	TA_DEFEXPIRATIONTIME	((BFLDID32)167774363)	/* number: 2203	 type: string */
#define	TA_DEVICE	((BFLDID32)167774364)	/* number: 2204	 type: string */
#define	TA_DEVINDEX	((BFLDID32)33556637)	/* number: 2205	 type: long */
#define	TA_DEVOFFSET	((BFLDID32)33556638)	/* number: 2206	 type: long */
#define	TA_DEVSIZE	((BFLDID32)33556639)	/* number: 2207	 type: long */
#define	TA_DMACCESSPOINT	((BFLDID32)167774371)	/* number: 2211	 type: string */
#define	TA_DMACCESSPOINTID	((BFLDID32)167774372)	/* number: 2212	 type: string */
#define	TA_DMACLNAME	((BFLDID32)167774373)	/* number: 2213	 type: string */
#define	TA_DMACLPOLICY	((BFLDID32)167774374)	/* number: 2214	 type: string */
#define	TA_DMACN	((BFLDID32)167774375)	/* number: 2215	 type: string */
#define	TA_DMAEID	((BFLDID32)2216)	/* number: 2216	 type: short */
#define	TA_DMAEQ	((BFLDID32)167774377)	/* number: 2217	 type: string */
#define	TA_DMAET	((BFLDID32)167774378)	/* number: 2218	 type: string */
#define	TA_DMAPI	((BFLDID32)167774379)	/* number: 2219	 type: string */
#define	TA_DMAPID	((BFLDID32)2220)	/* number: 2220	 type: short */
#define	TA_DMAPT	((BFLDID32)167774381)	/* number: 2221	 type: string */
#define	TA_DMAUDIT	((BFLDID32)2222)	/* number: 2222	 type: short */
#define	TA_DMAUDITLOG	((BFLDID32)167774383)	/* number: 2223	 type: string */
#define	TA_DMAUTOPREPARE	((BFLDID32)167774384)	/* number: 2224	 type: string */
#define	TA_DMAUTOTRAN	((BFLDID32)167774385)	/* number: 2225	 type: string */
#define	TA_DMBLOB_SHM_SIZE	((BFLDID32)33556658)	/* number: 2226	 type: long */
#define	TA_DMBLOCKTIME	((BFLDID32)2227)	/* number: 2227	 type: short */
#define	TA_DMBRANCHCOUNT	((BFLDID32)33556660)	/* number: 2228	 type: long */
#define	TA_DMBRANCHINDEX	((BFLDID32)33556661)	/* number: 2229	 type: long */
#define	TA_DMBRANCHNO	((BFLDID32)33556662)	/* number: 2230	 type: long */
#define	TA_DMBRANCHSTATE	((BFLDID32)167774391)	/* number: 2231	 type: string */
#define	TA_DMBUFSTYPE	((BFLDID32)167774392)	/* number: 2232	 type: string */
#define	TA_DMBUFTYPE	((BFLDID32)167774393)	/* number: 2233	 type: string */
#define	TA_DMCMPLIMIT	((BFLDID32)33556666)	/* number: 2234	 type: long */
#define	TA_DMCODEPAGE	((BFLDID32)167774395)	/* number: 2235	 type: string */
#define	TA_DMCONNECTION_POLICY	((BFLDID32)167774396)	/* number: 2236	 type: string */
#define	TA_DMCONNPRINCIPALNAME	((BFLDID32)167774397)	/* number: 2237	 type: string */
#define	TA_DMCONV	((BFLDID32)167774398)	/* number: 2238	 type: string */
#define	TA_DMCOUPLING	((BFLDID32)167774399)	/* number: 2239	 type: string */
#define	TA_DMCREDENTIALPOLICY	((BFLDID32)167774400)	/* number: 2240	 type: string */
#define	TA_DMCURENCRYPTBITS	((BFLDID32)167774401)	/* number: 2241	 type: string */
#define	TA_DMDIRECTION	((BFLDID32)167774402)	/* number: 2242	 type: string */
#define	TA_DMDNSRESOLUTION	((BFLDID32)167774403)	/* number: 2243	 type: string */
#define	TA_DMEVNUMACT	((BFLDID32)33556678)	/* number: 2246	 type: long */
#define	TA_DMEVNUMSUSPN	((BFLDID32)33556679)	/* number: 2247	 type: long */
#define	TA_DMEVNUMSUSPT	((BFLDID32)33556680)	/* number: 2248	 type: long */
#define	TA_DMEXTENSIONS	((BFLDID32)167774413)	/* number: 2253	 type: string */
#define	TA_DMFAILOVERSEQ	((BFLDID32)2254)	/* number: 2254	 type: short */
#define	TA_DMFIELD	((BFLDID32)167774415)	/* number: 2255	 type: string */
#define	TA_DMFIELDTYPE	((BFLDID32)167774416)	/* number: 2256	 type: string */
#define	TA_DMFUNCTION	((BFLDID32)167774417)	/* number: 2257	 type: string */
#define	TA_DMGWNUM	((BFLDID32)33556690)	/* number: 2258	 type: long */
#define	TA_DMINBUFTYPE	((BFLDID32)167774419)	/* number: 2259	 type: string */
#define	TA_DMINPRIORITY	((BFLDID32)2260)	/* number: 2260	 type: short */
#define	TA_DMINRECSTYPE	((BFLDID32)167774421)	/* number: 2261	 type: string */
#define	TA_DMINRECTYPE	((BFLDID32)167774422)	/* number: 2262	 type: string */
#define	TA_DMLACCESSPOINT	((BFLDID32)167774425)	/* number: 2265	 type: string */
#define	TA_DMLCONV	((BFLDID32)167774426)	/* number: 2266	 type: string */
#define	TA_DMLCONVNUMACT	((BFLDID32)33556699)	/* number: 2267	 type: long */
#define	TA_DMLCONVNUMRCV	((BFLDID32)33556700)	/* number: 2268	 type: long */
#define	TA_DMLCONVNUMSND	((BFLDID32)33556701)	/* number: 2269	 type: long */
#define	TA_DMLCONVTOT	((BFLDID32)33556702)	/* number: 2270	 type: long */
#define	TA_DMLCONVTOTFAIL	((BFLDID32)33556703)	/* number: 2271	 type: long */
#define	TA_DMLCONVTOTRCV	((BFLDID32)33556704)	/* number: 2272	 type: long */
#define	TA_DMLCONVTOTSND	((BFLDID32)33556705)	/* number: 2273	 type: long */
#define	TA_DMLOAD	((BFLDID32)2274)	/* number: 2274	 type: short */
#define	TA_DMLOCALPRINCIPALNAME	((BFLDID32)167774435)	/* number: 2275	 type: string */
#define	TA_DMLOGCONTENTIONS	((BFLDID32)33556708)	/* number: 2276	 type: long */
#define	TA_DMLPWD	((BFLDID32)167774437)	/* number: 2277	 type: string */
#define	TA_DMLSVCNUMACT	((BFLDID32)33556710)	/* number: 2278	 type: long */
#define	TA_DMLSVCTOT	((BFLDID32)33556711)	/* number: 2279	 type: long */
#define	TA_DMLSVCTOTFAIL	((BFLDID32)33556712)	/* number: 2280	 type: long */
#define	TA_DMLSVCTOTRPLY	((BFLDID32)33556713)	/* number: 2281	 type: long */
#define	TA_DMLSYSID	((BFLDID32)167774442)	/* number: 2282	 type: string */
#define	TA_DMLUNAME	((BFLDID32)167774443)	/* number: 2283	 type: string */
#define	TA_DMMACHINETYPE	((BFLDID32)167774445)	/* number: 2285	 type: string */
#define	TA_DMMAXENCRYPTBITS	((BFLDID32)167774447)	/* number: 2287	 type: string */
#define	TA_DMMAXLISTENINGEP	((BFLDID32)2288)	/* number: 2288	 type: short */
#define	TA_DMMAXRAPTRAN	((BFLDID32)2289)	/* number: 2289	 type: short */
#define	TA_DMMAXRDOM	((BFLDID32)33556722)	/* number: 2290	 type: long */
#define	TA_DMMAXRDTRAN	((BFLDID32)2291)	/* number: 2291	 type: short */
#define	TA_DMMAXRETRY	((BFLDID32)33556724)	/* number: 2292	 type: long */
#define	TA_DMMAXSNASESS	((BFLDID32)2293)	/* number: 2293	 type: short */
#define	TA_DMMAXSYNCLVL	((BFLDID32)2294)	/* number: 2294	 type: short */
#define	TA_DMMAXTRAN	((BFLDID32)2295)	/* number: 2295	 type: short */
#define	TA_DMMINENCRYPTBITS	((BFLDID32)167774456)	/* number: 2296	 type: string */
#define	TA_DMMINWIN	((BFLDID32)2297)	/* number: 2297	 type: short */
#define	TA_DMMODENAME	((BFLDID32)167774458)	/* number: 2298	 type: string */
#define	TA_DMMULTIPLEXING	((BFLDID32)2299)	/* number: 2299	 type: short */
#define	TA_DMNETID	((BFLDID32)167774460)	/* number: 2300	 type: string */
#define	TA_DMNETTRANID	((BFLDID32)167774461)	/* number: 2301	 type: string */
#define	TA_DMNUMCONVACT	((BFLDID32)33556734)	/* number: 2302	 type: long */
#define	TA_DMNUMCONVLOC	((BFLDID32)33556735)	/* number: 2303	 type: long */
#define	TA_DMNUMCONVLSND	((BFLDID32)33556736)	/* number: 2304	 type: long */
#define	TA_DMNUMCONVREM	((BFLDID32)33556737)	/* number: 2305	 type: long */
#define	TA_DMNUMCONVRSND	((BFLDID32)33556738)	/* number: 2306	 type: long */
#define	TA_DMNUMREPLSVC	((BFLDID32)33556739)	/* number: 2307	 type: long */
#define	TA_DMNUMREPRSVC	((BFLDID32)33556740)	/* number: 2308	 type: long */
#define	TA_DMNUMREQCOMP	((BFLDID32)33556741)	/* number: 2309	 type: long */
#define	TA_DMNUMREQFAIL	((BFLDID32)33556742)	/* number: 2310	 type: long */
#define	TA_DMNUMREQLSVC	((BFLDID32)33556743)	/* number: 2311	 type: long */
#define	TA_DMNUMREQRSVC	((BFLDID32)33556744)	/* number: 2312	 type: long */
#define	TA_DMNUMTXBEGUN	((BFLDID32)33556745)	/* number: 2313	 type: long */
#define	TA_DMNUMTXCOMMIT	((BFLDID32)33556746)	/* number: 2314	 type: long */
#define	TA_DMNUMTXHCOMMIT	((BFLDID32)33556747)	/* number: 2315	 type: long */
#define	TA_DMNUMTXHRLBCK	((BFLDID32)33556748)	/* number: 2316	 type: long */
#define	TA_DMNUMTXRLBCK	((BFLDID32)33556749)	/* number: 2317	 type: long */
#define	TA_DMNWADDR	((BFLDID32)167774478)	/* number: 2318	 type: string */
#define	TA_DMNWDEVICE	((BFLDID32)167774479)	/* number: 2319	 type: string */
#define	TA_DMNWIDLETIME	((BFLDID32)33556752)	/* number: 2320	 type: long */
#define	TA_DMOBUFSTYPE	((BFLDID32)167774482)	/* number: 2322	 type: string */
#define	TA_DMOBUFTYPE	((BFLDID32)167774483)	/* number: 2323	 type: string */
#define	TA_DMOPTIONS	((BFLDID32)167774484)	/* number: 2324	 type: string */
#define	TA_DMOSITP	((BFLDID32)167774485)	/* number: 2325	 type: string */
#define	TA_DMOUTBUFTYPE	((BFLDID32)167774486)	/* number: 2326	 type: string */
#define	TA_DMOUTRECSTYPE	((BFLDID32)167774487)	/* number: 2327	 type: string */
#define	TA_DMOUTRECTYPE	((BFLDID32)167774488)	/* number: 2328	 type: string */
#define	TA_DMPRINNAME	((BFLDID32)167774489)	/* number: 2329	 type: string */
#define	TA_DMPRIO	((BFLDID32)2330)	/* number: 2330	 type: short */
#define	TA_DMPRIORITY_TYPE	((BFLDID32)167774491)	/* number: 2331	 type: string */
#define	TA_DMPROFILE	((BFLDID32)167774492)	/* number: 2332	 type: string */
#define	TA_DMPSEL	((BFLDID32)167774493)	/* number: 2333	 type: string */
#define	TA_DMRACCESSPOINT	((BFLDID32)167774494)	/* number: 2334	 type: string */
#define	TA_DMRACCESSPOINTLIST	((BFLDID32)167774495)	/* number: 2335	 type: string */
#define	TA_DMRANGES	((BFLDID32)167774496)	/* number: 2336	 type: string */
#define	TA_DMRCONVNUMACT	((BFLDID32)33556769)	/* number: 2337	 type: long */
#define	TA_DMRCONVNUMRCV	((BFLDID32)33556770)	/* number: 2338	 type: long */
#define	TA_DMRCONVNUMSND	((BFLDID32)33556771)	/* number: 2339	 type: long */
#define	TA_DMRCONVTOT	((BFLDID32)33556772)	/* number: 2340	 type: long */
#define	TA_DMRCONVTOTFAIL	((BFLDID32)33556773)	/* number: 2341	 type: long */
#define	TA_DMRCONVTOTRCV	((BFLDID32)33556774)	/* number: 2342	 type: long */
#define	TA_DMRCONVTOTSND	((BFLDID32)33556775)	/* number: 2343	 type: long */
#define	TA_DMRDOMLIST	((BFLDID32)167774504)	/* number: 2344	 type: string */
#define	TA_DMRDOMNUM	((BFLDID32)33556777)	/* number: 2345	 type: long */
#define	TA_DMRDOMSEC	((BFLDID32)167774506)	/* number: 2346	 type: string */
#define	TA_DMRDOMUSR	((BFLDID32)167774507)	/* number: 2347	 type: string */
#define	TA_DMREMOTENAME	((BFLDID32)167774508)	/* number: 2348	 type: string */
#define	TA_DMREMTPSUT	((BFLDID32)167774509)	/* number: 2349	 type: string */
#define	TA_DMRESOURCENAME	((BFLDID32)167774510)	/* number: 2350	 type: string */
#define	TA_DMRESOURCETYPE	((BFLDID32)167774511)	/* number: 2351	 type: string */
#define	TA_DMRETRY_INTERVAL	((BFLDID32)33556784)	/* number: 2352	 type: long */
#define	TA_DMROUTINGNAME	((BFLDID32)167774514)	/* number: 2354	 type: string */
#define	TA_DMRPRINNAME	((BFLDID32)167774515)	/* number: 2355	 type: string */
#define	TA_DMRPRINPASSWD	((BFLDID32)167774516)	/* number: 2356	 type: string */
#define	TA_DMRPWD	((BFLDID32)167774517)	/* number: 2357	 type: string */
#define	TA_DMRSVCNUMACT	((BFLDID32)33556790)	/* number: 2358	 type: long */
#define	TA_DMRSVCTOT	((BFLDID32)33556791)	/* number: 2359	 type: long */
#define	TA_DMRSVCTOTFAIL	((BFLDID32)33556792)	/* number: 2360	 type: long */
#define	TA_DMRSVCTOTRPLY	((BFLDID32)33556793)	/* number: 2361	 type: long */
#define	TA_DMRSYSID	((BFLDID32)167774522)	/* number: 2362	 type: string */
#define	TA_DMSECTYPE	((BFLDID32)167774523)	/* number: 2363	 type: string */
#define	TA_DMSECURITY	((BFLDID32)167774524)	/* number: 2364	 type: string */
#define	TA_DMSERVICENAME	((BFLDID32)167774525)	/* number: 2365	 type: string */
#define	TA_DMSHMCONTENTIONS	((BFLDID32)33556798)	/* number: 2366	 type: long */
#define	TA_DMSNACRM	((BFLDID32)167774527)	/* number: 2367	 type: string */
#define	TA_DMSNADOM	((BFLDID32)167774528)	/* number: 2368	 type: string */
#define	TA_DMSNALINK	((BFLDID32)167774529)	/* number: 2369	 type: string */
#define	TA_DMSNASTACK	((BFLDID32)167774530)	/* number: 2370	 type: string */
#define	TA_DMSRVGROUP	((BFLDID32)167774531)	/* number: 2371	 type: string */
#define	TA_DMSSEL	((BFLDID32)167774532)	/* number: 2372	 type: string */
#define	TA_DMSTACKPARMS	((BFLDID32)167774534)	/* number: 2374	 type: string */
#define	TA_DMSTACKTYPE	((BFLDID32)167774535)	/* number: 2375	 type: string */
#define	TA_DMSTARTTYPE	((BFLDID32)167774537)	/* number: 2377	 type: string */
#define	TA_DMSTATISTICS	((BFLDID32)2378)	/* number: 2378	 type: short */
#define	TA_DMSTATRESETIME	((BFLDID32)33556811)	/* number: 2379	 type: long */
#define	TA_DMSTATRESETTIME	((BFLDID32)33556812)	/* number: 2380	 type: long */
#define	TA_DMSYMDESTNAME	((BFLDID32)167774541)	/* number: 2381	 type: string */
#define	TA_DMTAILORPATH	((BFLDID32)167774542)	/* number: 2382	 type: string */
#define	TA_DMTDOM	((BFLDID32)167774544)	/* number: 2384	 type: string */
#define	TA_DMTE_FUNCTION	((BFLDID32)167774545)	/* number: 2385	 type: string */
#define	TA_DMTE_PRODUCT	((BFLDID32)167774546)	/* number: 2386	 type: string */
#define	TA_DMTE_PWD	((BFLDID32)167774547)	/* number: 2387	 type: string */
#define	TA_DMTE_QUALIFIER	((BFLDID32)33556820)	/* number: 2388	 type: long */
#define	TA_DMTE_RTQGROUP	((BFLDID32)167774549)	/* number: 2389	 type: string */
#define	TA_DMTE_RTQNAME	((BFLDID32)167774550)	/* number: 2390	 type: string */
#define	TA_DMTE_TARGET	((BFLDID32)167774551)	/* number: 2391	 type: string */
#define	TA_DMTE_TP_SYSTEM	((BFLDID32)167774552)	/* number: 2392	 type: string */
#define	TA_DMTLOGDEV	((BFLDID32)167774554)	/* number: 2394	 type: string */
#define	TA_DMTLOGNAME	((BFLDID32)167774555)	/* number: 2395	 type: string */
#define	TA_DMTLOGSIZE	((BFLDID32)33556828)	/* number: 2396	 type: long */
#define	TA_DMTPNAME	((BFLDID32)167774557)	/* number: 2397	 type: string */
#define	TA_DMTPSUTTYPE	((BFLDID32)167774558)	/* number: 2398	 type: string */
#define	TA_DMTPTRANID	((BFLDID32)167774559)	/* number: 2399	 type: string */
#define	TA_DMTRANTIME	((BFLDID32)33556832)	/* number: 2400	 type: long */
#define	TA_DMTSEL	((BFLDID32)167774561)	/* number: 2401	 type: string */
#define	TA_DMTUXCONFIG	((BFLDID32)167774562)	/* number: 2402	 type: string */
#define	TA_DMTUXOFFSET	((BFLDID32)33556835)	/* number: 2403	 type: long */
#define	TA_DMTXACCESSPOINT	((BFLDID32)167774564)	/* number: 2404	 type: string */
#define	TA_DMTXID	((BFLDID32)167774565)	/* number: 2405	 type: string */
#define	TA_DMTXNETTRANID	((BFLDID32)167774566)	/* number: 2406	 type: string */
#define	TA_DMTXNUMACT	((BFLDID32)33556839)	/* number: 2407	 type: long */
#define	TA_DMTXPARENT	((BFLDID32)167774568)	/* number: 2408	 type: string */
#define	TA_DMTXTOTCOMMIT	((BFLDID32)33556841)	/* number: 2409	 type: long */
#define	TA_DMTXTOTHCOMMIT	((BFLDID32)33556842)	/* number: 2410	 type: long */
#define	TA_DMTXTOTHRLBCK	((BFLDID32)33556843)	/* number: 2411	 type: long */
#define	TA_DMTXTOTRLBCK	((BFLDID32)33556844)	/* number: 2412	 type: long */
#define	TA_DMTYPE	((BFLDID32)167774573)	/* number: 2413	 type: string */
#define	TA_DMURCH	((BFLDID32)167774574)	/* number: 2414	 type: string */
#define	TA_DMVERSION	((BFLDID32)167774575)	/* number: 2415	 type: string */
#define	TA_DMXATMIENCODING	((BFLDID32)167774576)	/* number: 2416	 type: string */
#define	TA_DOMAINAME	((BFLDID32)167774577)	/* number: 2417	 type: string */
#define	TA_DOMAINID	((BFLDID32)167774578)	/* number: 2418	 type: string */
#define	TA_DRIVER	((BFLDID32)167774581)	/* number: 2421	 type: string */
#define	TA_DSNAME	((BFLDID32)167774582)	/* number: 2422	 type: string */
#define	TA_DUMMYACTIVITY	((BFLDID32)2423)	/* number: 2423	 type: short */
#define	TA_DUMMYALLSTATS	((BFLDID32)2424)	/* number: 2424	 type: short */
#define	TA_DUMMYDOMSTATS	((BFLDID32)2425)	/* number: 2425	 type: short */
#define	TA_DUMMYOPTION	((BFLDID32)2426)	/* number: 2426	 type: short */
#define	TA_DUMMYSRVGRP	((BFLDID32)167774587)	/* number: 2427	 type: string */
#define	TA_DUMMYSRVID	((BFLDID32)2428)	/* number: 2428	 type: short */
#define	TA_DUMMYSTATE	((BFLDID32)2429)	/* number: 2429	 type: short */
#define	TA_DUMMYTOGGLE	((BFLDID32)2430)	/* number: 2430	 type: short */
#define	TA_EJBCACHE_FLUSH	((BFLDID32)33556875)	/* number: 2443	 type: long */
#define	TA_ENABLEXA	((BFLDID32)167774608)	/* number: 2448	 type: string */
#define	TA_ENC2_LPWD	((BFLDID32)167774609)	/* number: 2449	 type: string */
#define	TA_ENC2_RPWD	((BFLDID32)167774610)	/* number: 2450	 type: string */
#define	TA_ENCPASSWD	((BFLDID32)167774611)	/* number: 2451	 type: string */
#define	TA_ENCRYPTION_REQUIRED	((BFLDID32)167774613)	/* number: 2453	 type: string */
#define	TA_ENDTIME	((BFLDID32)33556889)	/* number: 2457	 type: long */
#define	TA_ENVFILE	((BFLDID32)167774618)	/* number: 2458	 type: string */
#define	TA_ERROR	((BFLDID32)33556893)	/* number: 2461	 type: long */
#define	TA_ERRORQNAME	((BFLDID32)167774622)	/* number: 2462	 type: string */
#define	TA_EVENT_DESCRIPTION	((BFLDID32)167774625)	/* number: 2465	 type: string */
#define	TA_EVENT_EXPR	((BFLDID32)167774626)	/* number: 2466	 type: string */
#define	TA_EVENT_FILTER	((BFLDID32)167774627)	/* number: 2467	 type: string */
#define	TA_EVENT_FILTER_BINARY	((BFLDID32)201329060)	/* number: 2468	 type: carray */
#define	TA_EVENT_LMID	((BFLDID32)167774631)	/* number: 2471	 type: string */
#define	TA_EVENT_NAME	((BFLDID32)167774632)	/* number: 2472	 type: string */
#define	TA_EVENT_PERSIST	((BFLDID32)2473)	/* number: 2473	 type: short */
#define	TA_EVENT_SERVER	((BFLDID32)167774634)	/* number: 2474	 type: string */
#define	TA_EVENT_SET_BLOB	((BFLDID32)2475)	/* number: 2475	 type: short */
#define	TA_EVENT_SET_HANDLE	((BFLDID32)2476)	/* number: 2476	 type: short */
#define	TA_EVENT_SEVERITY	((BFLDID32)167774637)	/* number: 2477	 type: string */
#define	TA_EVENT_TIME	((BFLDID32)33556910)	/* number: 2478	 type: long */
#define	TA_EVENT_TRAN	((BFLDID32)2479)	/* number: 2479	 type: short */
#define	TA_EVENT_UNIQUE	((BFLDID32)2480)	/* number: 2480	 type: short */
#define	TA_EVENT_USEC	((BFLDID32)33556913)	/* number: 2481	 type: long */
#define	TA_EXPIRETIME	((BFLDID32)167774644)	/* number: 2484	 type: string */
#define	TA_EXT_NADDR	((BFLDID32)167774645)	/* number: 2485	 type: string */
#define	TA_FACTORYID	((BFLDID32)167774653)	/* number: 2493	 type: string */
#define	TA_FACTPERM	((BFLDID32)33556926)	/* number: 2494	 type: long */
#define	TA_FADDR	((BFLDID32)167774655)	/* number: 2495	 type: string */
#define	TA_FBROUTINGNAME	((BFLDID32)167774656)	/* number: 2496	 type: string */
#define	TA_FIELD	((BFLDID32)167774657)	/* number: 2497	 type: string */
#define	TA_FIELDTYPE	((BFLDID32)167774658)	/* number: 2498	 type: string */
#define	TA_FILTER	((BFLDID32)33556932)	/* number: 2500	 type: long */
#define	TA_FLAGS	((BFLDID32)33556934)	/* number: 2502	 type: long */
#define	TA_FLOWCNT	((BFLDID32)33556935)	/* number: 2503	 type: long */
#define	TA_FORCEINIT	((BFLDID32)167774664)	/* number: 2504	 type: string */
#define	TA_FRANGE	((BFLDID32)33556937)	/* number: 2505	 type: long */
#define	TA_FREEMAPAVAIL	((BFLDID32)33556938)	/* number: 2506	 type: long */
#define	TA_FREEMAPCOUNT	((BFLDID32)33556939)	/* number: 2507	 type: long */
#define	TA_FREEMAPINDEX	((BFLDID32)33556940)	/* number: 2508	 type: long */
#define	TA_FREEMAPOFFSET	((BFLDID32)33556941)	/* number: 2509	 type: long */
#define	TA_FREEMAPSIZE	((BFLDID32)33556942)	/* number: 2510	 type: long */
#define	TA_GENERATION	((BFLDID32)33556943)	/* number: 2511	 type: long */
#define	TA_GETSTATES	((BFLDID32)167774672)	/* number: 2512	 type: string */
#define	TA_GID	((BFLDID32)33556945)	/* number: 2513	 type: long */
#define	TA_GRACE	((BFLDID32)33556946)	/* number: 2514	 type: long */
#define	TA_GROUPID	((BFLDID32)33556947)	/* number: 2515	 type: long */
#define	TA_GROUPNAME	((BFLDID32)167774676)	/* number: 2516	 type: string */
#define	TA_GRPCOUNT	((BFLDID32)33556949)	/* number: 2517	 type: long */
#define	TA_GRPINDEX	((BFLDID32)33556950)	/* number: 2518	 type: long */
#define	TA_GRPNO	((BFLDID32)33556951)	/* number: 2519	 type: long */
#define	TA_GSTATE	((BFLDID32)167774680)	/* number: 2520	 type: string */
#define	TA_GTRID	((BFLDID32)167774681)	/* number: 2521	 type: string */
#define	TA_HIGHPRIORITY	((BFLDID32)33556954)	/* number: 2522	 type: long */
#define	TA_HITICKET	((BFLDID32)33556955)	/* number: 2523	 type: long */
#define	TA_HWACCESSERS	((BFLDID32)33556985)	/* number: 2553	 type: long */
#define	TA_HWACLCACHE	((BFLDID32)33556986)	/* number: 2554	 type: long */
#define	TA_HWACTIONS	((BFLDID32)33556987)	/* number: 2555	 type: long */
#define	TA_HWCLIENTS	((BFLDID32)33556989)	/* number: 2557	 type: long */
#define	TA_HWCONV	((BFLDID32)33556990)	/* number: 2558	 type: long */
#define	TA_HWCURSORS	((BFLDID32)33556991)	/* number: 2559	 type: long */
#define	TA_HWDISPATCHTHREADS	((BFLDID32)33556992)	/* number: 2560	 type: long */
#define	TA_HWDRT	((BFLDID32)33556993)	/* number: 2561	 type: long */
#define	TA_HWGROUPS	((BFLDID32)33556994)	/* number: 2562	 type: long */
#define	TA_HWGTT	((BFLDID32)33556995)	/* number: 2563	 type: long */
#define	TA_HWHANDLERS	((BFLDID32)33556996)	/* number: 2564	 type: long */
#define	TA_HWHANDLES	((BFLDID32)33556997)	/* number: 2565	 type: long */
#define	TA_HWINTERFACES	((BFLDID32)33556999)	/* number: 2567	 type: long */
#define	TA_HWMACHINES	((BFLDID32)33557001)	/* number: 2569	 type: long */
#define	TA_HWMCONNCREATED	((BFLDID32)33557002)	/* number: 2570	 type: long */
#define	TA_HWMCONNUSED	((BFLDID32)33557003)	/* number: 2571	 type: long */
#define	TA_HWMEMFILTERS	((BFLDID32)33557004)	/* number: 2572	 type: long */
#define	TA_HWMEMNONPERSIST	((BFLDID32)33557005)	/* number: 2573	 type: long */
#define	TA_HWMEMOVERFLOW	((BFLDID32)33557006)	/* number: 2574	 type: long */
#define	TA_HWMFORWAIT	((BFLDID32)33557007)	/* number: 2575	 type: long */
#define	TA_HWMSG	((BFLDID32)33557008)	/* number: 2576	 type: long */
#define	TA_HWOBJECTS	((BFLDID32)33557009)	/* number: 2577	 type: long */
#define	TA_HWOWNERS	((BFLDID32)33557010)	/* number: 2578	 type: long */
#define	TA_HWPROC	((BFLDID32)33557011)	/* number: 2579	 type: long */
#define	TA_HWQUEUES	((BFLDID32)33557012)	/* number: 2580	 type: long */
#define	TA_HWRFT	((BFLDID32)33557013)	/* number: 2581	 type: long */
#define	TA_HWRTDATA	((BFLDID32)33557014)	/* number: 2582	 type: long */
#define	TA_HWSERVERS	((BFLDID32)33557016)	/* number: 2584	 type: long */
#define	TA_HWSERVICES	((BFLDID32)33557017)	/* number: 2585	 type: long */
#define	TA_HWTMPQUEUES	((BFLDID32)33557018)	/* number: 2586	 type: long */
#define	TA_HWTRANS	((BFLDID32)33557019)	/* number: 2587	 type: long */
#define	TA_HWWSCLIENTS	((BFLDID32)33557020)	/* number: 2588	 type: long */
#define	TA_IDLETIME	((BFLDID32)33557022)	/* number: 2590	 type: long */
#define	TA_INASTATES	((BFLDID32)167774754)	/* number: 2594	 type: string */
#define	TA_INITCAPACITY	((BFLDID32)33557027)	/* number: 2595	 type: long */
#define	TA_INTERFACENAME	((BFLDID32)167774761)	/* number: 2601	 type: string */
#define	TA_INTERN_APPKEY	((BFLDID32)33557034)	/* number: 2602	 type: long */
#define	TA_INTERN_CURSOR	((BFLDID32)33557035)	/* number: 2603	 type: long */
#define	TA_INTERN_DBBL	((BFLDID32)33557036)	/* number: 2604	 type: long */
#define	TA_INTERN_ERROR	((BFLDID32)33557037)	/* number: 2605	 type: long */
#define	TA_INTERN_FLDNAME	((BFLDID32)167774766)	/* number: 2606	 type: string */
#define	TA_INTERN_FLDTYPE	((BFLDID32)33557039)	/* number: 2607	 type: long */
#define	TA_INTERN_FLDVALUE	((BFLDID32)167774768)	/* number: 2608	 type: string */
#define	TA_INTERN_TACTGRPNO	((BFLDID32)33557041)	/* number: 2609	 type: long */
#define	TA_INTERN_TACTSRVGRP	((BFLDID32)167774770)	/* number: 2610	 type: string */
#define	TA_INTERN_TACTSRVID	((BFLDID32)33557043)	/* number: 2611	 type: long */
#define	TA_IPCKEY	((BFLDID32)33557044)	/* number: 2612	 type: long */
#define	TA_ITERATION	((BFLDID32)33557046)	/* number: 2614	 type: long */
#define	TA_JAVAHEAPSIZE	((BFLDID32)33557047)	/* number: 2615	 type: long */
#define	TA_JAVAHEAPUSE	((BFLDID32)33557048)	/* number: 2616	 type: long */
#define	TA_JAVAVENDOR	((BFLDID32)167774777)	/* number: 2617	 type: string */
#define	TA_JAVAVERSION	((BFLDID32)167774778)	/* number: 2618	 type: string */
#define	TA_KEEPALIVE	((BFLDID32)167774780)	/* number: 2620	 type: string */
#define	TA_LASTEXECTIMEUSEC	((BFLDID32)33557057)	/* number: 2625	 type: long */
#define	TA_LASTGRP	((BFLDID32)33557058)	/* number: 2626	 type: long */
#define	TA_LDBAL	((BFLDID32)167774792)	/* number: 2632	 type: string */
#define	TA_LDOMAIN	((BFLDID32)167774793)	/* number: 2633	 type: string */
#define	TA_LICEXPIRE	((BFLDID32)167774795)	/* number: 2635	 type: string */
#define	TA_LICMAXUSERS	((BFLDID32)33557068)	/* number: 2636	 type: long */
#define	TA_LICSERIAL	((BFLDID32)167774797)	/* number: 2637	 type: string */
#define	TA_LMID	((BFLDID32)167774812)	/* number: 2652	 type: string */
#define	TA_LOAD	((BFLDID32)33557086)	/* number: 2654	 type: long */
#define	TA_LOG_CONTENTIONS	((BFLDID32)33557087)	/* number: 2655	 type: long */
#define	TA_LOGINDELAY	((BFLDID32)33557089)	/* number: 2657	 type: long */
#define	TA_LOOPBACK	((BFLDID32)2658)	/* number: 2658	 type: short */
#define	TA_LOWPRIORITY	((BFLDID32)33557091)	/* number: 2659	 type: long */
#define	TA_LSTATE	((BFLDID32)167774820)	/* number: 2660	 type: string */
#define	TA_MASTER	((BFLDID32)167774821)	/* number: 2661	 type: string */
#define	TA_MAX	((BFLDID32)33557094)	/* number: 2662	 type: long */
#define	TA_MAXACCESSERS	((BFLDID32)33557095)	/* number: 2663	 type: long */
#define	TA_MAXACLCACHE	((BFLDID32)33557096)	/* number: 2664	 type: long */
#define	TA_MAXACLGROUPS	((BFLDID32)33557097)	/* number: 2665	 type: long */
#define	TA_MAXACTIONS	((BFLDID32)33557098)	/* number: 2666	 type: long */
#define	TA_MAXBUFSTYPE	((BFLDID32)33557100)	/* number: 2668	 type: long */
#define	TA_MAXBUFTYPE	((BFLDID32)33557101)	/* number: 2669	 type: long */
#define	TA_MAXCAPACITY	((BFLDID32)33557102)	/* number: 2670	 type: long */
#define	TA_MAXCONV	((BFLDID32)33557104)	/* number: 2672	 type: long */
#define	TA_MAXCURSORS	((BFLDID32)33557107)	/* number: 2675	 type: long */
#define	TA_MAXDATALEN	((BFLDID32)33557108)	/* number: 2676	 type: long */
#define	TA_MAXDISPATCHTHREADS	((BFLDID32)33557109)	/* number: 2677	 type: long */
#define	TA_MAXDRT	((BFLDID32)33557111)	/* number: 2679	 type: long */
#define	TA_MAXEJBCACHE	((BFLDID32)33557112)	/* number: 2680	 type: long */
#define	TA_MAXENCRYPTBITS	((BFLDID32)167774841)	/* number: 2681	 type: string */
#define	TA_MAXEXECTIMEUSEC	((BFLDID32)33557115)	/* number: 2683	 type: long */
#define	TA_MAXGEN	((BFLDID32)33557116)	/* number: 2684	 type: long */
#define	TA_MAXGROUPS	((BFLDID32)33557117)	/* number: 2685	 type: long */
#define	TA_MAXGTT	((BFLDID32)33557118)	/* number: 2686	 type: long */
#define	TA_MAXHANDLERS	((BFLDID32)33557119)	/* number: 2687	 type: long */
#define	TA_MAXHANDLES	((BFLDID32)33557120)	/* number: 2688	 type: long */
#define	TA_MAXIDLETIME	((BFLDID32)33557121)	/* number: 2689	 type: long */
#define	TA_MAXINITTIME	((BFLDID32)33557122)	/* number: 2690	 type: long */
#define	TA_MAXINTERFACES	((BFLDID32)33557123)	/* number: 2691	 type: long */
#define	TA_MAXMACHINES	((BFLDID32)33557124)	/* number: 2692	 type: long */
#define	TA_MAXMSG	((BFLDID32)33557125)	/* number: 2693	 type: long */
#define	TA_MAXMTYPE	((BFLDID32)33557129)	/* number: 2697	 type: long */
#define	TA_MAXNETGROUPS	((BFLDID32)33557130)	/* number: 2698	 type: long */
#define	TA_MAXOBJECTS	((BFLDID32)33557131)	/* number: 2699	 type: long */
#define	TA_MAXOWNERS	((BFLDID32)33557132)	/* number: 2700	 type: long */
#define	TA_MAXPAGES	((BFLDID32)33557133)	/* number: 2701	 type: long */
#define	TA_MAXPENDINGBYTES	((BFLDID32)33557134)	/* number: 2702	 type: long */
#define	TA_MAXPERM	((BFLDID32)33557135)	/* number: 2703	 type: long */
#define	TA_MAXPROC	((BFLDID32)33557136)	/* number: 2704	 type: long */
#define	TA_MAXQUEUELEN	((BFLDID32)33557137)	/* number: 2705	 type: long */
#define	TA_MAXQUEUES	((BFLDID32)33557138)	/* number: 2706	 type: long */
#define	TA_MAXRETRIES	((BFLDID32)33557139)	/* number: 2707	 type: long */
#define	TA_MAXRFT	((BFLDID32)33557140)	/* number: 2708	 type: long */
#define	TA_MAXRTDATA	((BFLDID32)33557141)	/* number: 2709	 type: long */
#define	TA_MAXSENDLEN	((BFLDID32)33557142)	/* number: 2710	 type: long */
#define	TA_MAXSERVERS	((BFLDID32)33557143)	/* number: 2711	 type: long */
#define	TA_MAXSERVICES	((BFLDID32)33557144)	/* number: 2712	 type: long */
#define	TA_MAXTMPQUEUES	((BFLDID32)33557150)	/* number: 2718	 type: long */
#define	TA_MAXTRANS	((BFLDID32)33557152)	/* number: 2720	 type: long */
#define	TA_MAXWSCLIENTS	((BFLDID32)33557156)	/* number: 2724	 type: long */
#define	TA_MAXWSHPORT	((BFLDID32)33557157)	/* number: 2725	 type: long */
#define	TA_MEMFILTERS	((BFLDID32)33557158)	/* number: 2726	 type: long */
#define	TA_MEMNONPERSIST	((BFLDID32)167774887)	/* number: 2727	 type: string */
#define	TA_MEMOVERFLOW	((BFLDID32)33557160)	/* number: 2728	 type: long */
#define	TA_MEMSYSTEMRESERVED	((BFLDID32)33557161)	/* number: 2729	 type: long */
#define	TA_MEMTOTALALLOCATED	((BFLDID32)33557162)	/* number: 2730	 type: long */
#define	TA_MIBMASK	((BFLDID32)33557164)	/* number: 2732	 type: long */
#define	TA_MIBTIMEOUT	((BFLDID32)33557165)	/* number: 2733	 type: long */
#define	TA_MIN	((BFLDID32)33557166)	/* number: 2734	 type: long */
#define	TA_MINDISPATCHTHREADS	((BFLDID32)33557169)	/* number: 2737	 type: long */
#define	TA_MINENCRYPTBITS	((BFLDID32)167774898)	/* number: 2738	 type: string */
#define	TA_MINEXECTIMEUSEC	((BFLDID32)33557172)	/* number: 2740	 type: long */
#define	TA_MINHANDLERS	((BFLDID32)33557173)	/* number: 2741	 type: long */
#define	TA_MINOR	((BFLDID32)33557177)	/* number: 2745	 type: long */
#define	TA_MINWSHPORT	((BFLDID32)33557182)	/* number: 2750	 type: long */
#define	TA_MMDDYY	((BFLDID32)33557183)	/* number: 2751	 type: long */
#define	TA_MODEL	((BFLDID32)167774912)	/* number: 2752	 type: string */
#define	TA_MODULE	((BFLDID32)167774913)	/* number: 2753	 type: string */
#define	TA_MODULEARGS	((BFLDID32)167774914)	/* number: 2754	 type: string */
#define	TA_MODULECLASSPATH	((BFLDID32)167774915)	/* number: 2755	 type: string */
#define	TA_MODULEFILE	((BFLDID32)167774916)	/* number: 2756	 type: string */
#define	TA_MODULETYPE	((BFLDID32)167774917)	/* number: 2757	 type: string */
#define	TA_MORE	((BFLDID32)33557282)	/* number: 2850	 type: long */
#define	TA_MSG_CBYTES	((BFLDID32)33557288)	/* number: 2856	 type: long */
#define	TA_MSG_CTIME	((BFLDID32)33557289)	/* number: 2857	 type: long */
#define	TA_MSGENDTIME	((BFLDID32)167775018)	/* number: 2858	 type: string */
#define	TA_MSGEXPIREENDTIME	((BFLDID32)167775019)	/* number: 2859	 type: string */
#define	TA_MSGEXPIRESTARTTIME	((BFLDID32)167775020)	/* number: 2860	 type: string */
#define	TA_MSGID	((BFLDID32)33557293)	/* number: 2861	 type: long */
#define	TA_MSG_LRPID	((BFLDID32)33557294)	/* number: 2862	 type: long */
#define	TA_MSG_LSPID	((BFLDID32)33557295)	/* number: 2863	 type: long */
#define	TA_MSG_QBYTES	((BFLDID32)33557296)	/* number: 2864	 type: long */
#define	TA_MSG_QNUM	((BFLDID32)33557297)	/* number: 2865	 type: long */
#define	TA_MSG_RTIME	((BFLDID32)33557299)	/* number: 2867	 type: long */
#define	TA_MSGSIZE	((BFLDID32)33557302)	/* number: 2870	 type: long */
#define	TA_MSGSTARTTIME	((BFLDID32)167775031)	/* number: 2871	 type: string */
#define	TA_MSG_STIME	((BFLDID32)33557304)	/* number: 2872	 type: long */
#define	TA_MULTIPLEX	((BFLDID32)33557306)	/* number: 2874	 type: long */
#define	TA_NADDR	((BFLDID32)167775035)	/* number: 2875	 type: string */
#define	TA_NCOMPLETED	((BFLDID32)33557309)	/* number: 2877	 type: long */
#define	TA_NETGROUP	((BFLDID32)167775038)	/* number: 2878	 type: string */
#define	TA_NETGRPNO	((BFLDID32)33557311)	/* number: 2879	 type: long */
#define	TA_NETPRIO	((BFLDID32)33557312)	/* number: 2880	 type: long */
#define	TA_NETTIMEOUT	((BFLDID32)33557313)	/* number: 2881	 type: long */
#define	TA_NEWAPPQNAME	((BFLDID32)167775042)	/* number: 2882	 type: string */
#define	TA_NLSADDR	((BFLDID32)167775043)	/* number: 2883	 type: string */
#define	TA_NOTIFY	((BFLDID32)167775044)	/* number: 2884	 type: string */
#define	TA_NQUEUED	((BFLDID32)33557317)	/* number: 2885	 type: long */
#define	TA_NRDOM	((BFLDID32)2886)	/* number: 2886	 type: short */
#define	TA_NUMBLOCKQ	((BFLDID32)33557319)	/* number: 2887	 type: long */
#define	TA_NUMCONV	((BFLDID32)33557320)	/* number: 2888	 type: long */
#define	TA_NUMDEQUEUE	((BFLDID32)33557321)	/* number: 2889	 type: long */
#define	TA_NUMDISPATCHTHREADS	((BFLDID32)33557322)	/* number: 2890	 type: long */
#define	TA_NUMENQUEUE	((BFLDID32)33557323)	/* number: 2891	 type: long */
#define	TA_NUMPOST	((BFLDID32)33557324)	/* number: 2892	 type: long */
#define	TA_NUMREQ	((BFLDID32)33557325)	/* number: 2893	 type: long */
#define	TA_NUMSERVED	((BFLDID32)33557326)	/* number: 2894	 type: long */
#define	TA_NUMSERVERS	((BFLDID32)33557327)	/* number: 2895	 type: long */
#define	TA_NUMSUBSCRIBE	((BFLDID32)33557328)	/* number: 2896	 type: long */
#define	TA_NUMTRAN	((BFLDID32)33557329)	/* number: 2897	 type: long */
#define	TA_NUMTRANABT	((BFLDID32)33557330)	/* number: 2898	 type: long */
#define	TA_NUMTRANCMT	((BFLDID32)33557331)	/* number: 2899	 type: long */
#define	TA_NUMUNSOL	((BFLDID32)33557333)	/* number: 2901	 type: long */
#define	TA_NWADDRLEN	((BFLDID32)2902)	/* number: 2902	 type: short */
#define	TA_OCCURS	((BFLDID32)33557336)	/* number: 2904	 type: long */
#define	TA_OFF	((BFLDID32)2905)	/* number: 2905	 type: short */
#define	TA_OLDCMPLIMIT	((BFLDID32)167775067)	/* number: 2907	 type: string */
#define	TA_OLDENCRYPT	((BFLDID32)167775068)	/* number: 2908	 type: string */
#define	TA_ON	((BFLDID32)2909)	/* number: 2909	 type: short */
#define	TA_OPENINFO	((BFLDID32)167775070)	/* number: 2910	 type: string */
#define	TA_OPERATION	((BFLDID32)167775071)	/* number: 2911	 type: string */
#define	TA_OPTIONS	((BFLDID32)167775072)	/* number: 2912	 type: string */
#define	TA_OUTOFORDER	((BFLDID32)167775077)	/* number: 2917	 type: string */
#define	TA_PAGESIZE	((BFLDID32)33557354)	/* number: 2922	 type: long */
#define	TA_PASSWD	((BFLDID32)167775083)	/* number: 2923	 type: string */
#define	TA_PASSWORD	((BFLDID32)167775084)	/* number: 2924	 type: string */
#define	TA_PERCENTINIT	((BFLDID32)33557357)	/* number: 2925	 type: long */
#define	TA_PERM	((BFLDID32)33557358)	/* number: 2926	 type: long */
#define	TA_PERSISTENCE	((BFLDID32)167775087)	/* number: 2927	 type: string */
#define	TA_PID	((BFLDID32)33557360)	/* number: 2928	 type: long */
#define	TA_PMID	((BFLDID32)167775091)	/* number: 2931	 type: string */
#define	TA_PREFERENCES	((BFLDID32)167775093)	/* number: 2933	 type: string */
#define	TA_PRINCLTNAME	((BFLDID32)167775095)	/* number: 2935	 type: string */
#define	TA_PRINGRP	((BFLDID32)33557368)	/* number: 2936	 type: long */
#define	TA_PRINID	((BFLDID32)33557369)	/* number: 2937	 type: long */
#define	TA_PRINNAME	((BFLDID32)167775098)	/* number: 2938	 type: string */
#define	TA_PRINPASSWD	((BFLDID32)167775099)	/* number: 2939	 type: string */
#define	TA_PRIO	((BFLDID32)33557372)	/* number: 2940	 type: long */
#define	TA_PRIORITY	((BFLDID32)33557373)	/* number: 2941	 type: long */
#define	TA_PROFILE2	((BFLDID32)2943)	/* number: 2943	 type: short */
#define	TA_PROGMODELS	((BFLDID32)167775104)	/* number: 2944	 type: string */
#define	TA_PROPS	((BFLDID32)167775105)	/* number: 2945	 type: string */
#define	TA_QCTL_BEFOREMSGID	((BFLDID32)2946)	/* number: 2946	 type: short */
#define	TA_QCTL_CORRID	((BFLDID32)167775107)	/* number: 2947	 type: string */
#define	TA_QCTL_DEQ_TIME	((BFLDID32)33557380)	/* number: 2948	 type: long */
#define	TA_QCTL_FAILUREQUEUE	((BFLDID32)167775109)	/* number: 2949	 type: string */
#define	TA_QCTL_MSGID	((BFLDID32)167775110)	/* number: 2950	 type: string */
#define	TA_QCTL_PRIORITY	((BFLDID32)33557383)	/* number: 2951	 type: long */
#define	TA_QCTL_QTIME_ABS	((BFLDID32)2952)	/* number: 2952	 type: short */
#define	TA_QCTL_QTIME_REL	((BFLDID32)2953)	/* number: 2953	 type: short */
#define	TA_QCTL_QTOP	((BFLDID32)2954)	/* number: 2954	 type: short */
#define	TA_QCTL_REPLYQUEUE	((BFLDID32)167775115)	/* number: 2955	 type: string */
#define	TA_QMCONFIG	((BFLDID32)167775118)	/* number: 2958	 type: string */
#define	TA_QNAME	((BFLDID32)167775119)	/* number: 2959	 type: string */
#define	TA_QSPACE	((BFLDID32)167775121)	/* number: 2961	 type: string */
#define	TA_RANGES	((BFLDID32)201329555)	/* number: 2963	 type: carray */
#define	TA_RCMD	((BFLDID32)167775124)	/* number: 2964	 type: string */
#define	TA_RCVDBYT	((BFLDID32)33557397)	/* number: 2965	 type: long */
#define	TA_RCVDNUM	((BFLDID32)33557398)	/* number: 2966	 type: long */
#define	TA_RDOMAIN	((BFLDID32)167775138)	/* number: 2978	 type: string */
#define	TA_REENCRYPT_PWD	((BFLDID32)2980)	/* number: 2980	 type: short */
#define	TA_REFRESH	((BFLDID32)33557413)	/* number: 2981	 type: long */
#define	TA_RELEASE	((BFLDID32)33557414)	/* number: 2982	 type: long */
#define	TA_REPLYPERSISTENCE	((BFLDID32)167775143)	/* number: 2983	 type: string */
#define	TA_REPLYQ	((BFLDID32)167775144)	/* number: 2984	 type: string */
#define	TA_RESET	((BFLDID32)3030)	/* number: 3030	 type: short */
#define	TA_RESTART	((BFLDID32)167775191)	/* number: 3031	 type: string */
#define	TA_RETRYDELAY	((BFLDID32)33557466)	/* number: 3034	 type: long */
#define	TA_ROLE	((BFLDID32)167775199)	/* number: 3039	 type: string */
#define	TA_ROUTINGNAME	((BFLDID32)167775200)	/* number: 3040	 type: string */
#define	TA_RPID	((BFLDID32)33557473)	/* number: 3041	 type: long */
#define	TA_RPPERM	((BFLDID32)33557474)	/* number: 3042	 type: long */
#define	TA_RQADDR	((BFLDID32)167775203)	/* number: 3043	 type: string */
#define	TA_RQID	((BFLDID32)33557476)	/* number: 3044	 type: long */
#define	TA_RQPERM	((BFLDID32)33557477)	/* number: 3045	 type: long */
#define	TA_SANITYSCAN	((BFLDID32)33557479)	/* number: 3047	 type: long */
#define	TA_SCANUNIT	((BFLDID32)33557480)	/* number: 3048	 type: long */
#define	TA_SEC_PRINCIPAL_LOCATION	((BFLDID32)167775212)	/* number: 3052	 type: string */
#define	TA_SEC_PRINCIPAL_NAME	((BFLDID32)167775213)	/* number: 3053	 type: string */
#define	TA_SEC_PRINCIPAL_PASSVAR	((BFLDID32)167775214)	/* number: 3054	 type: string */
#define	TA_SEC_PRINCIPAL_PASSWORD	((BFLDID32)167775215)	/* number: 3055	 type: string */
#define	TA_SECURITY	((BFLDID32)167775217)	/* number: 3057	 type: string */
#define	TA_SECURITY2	((BFLDID32)3058)	/* number: 3058	 type: short */
#define	TA_SEMID	((BFLDID32)33557491)	/* number: 3059	 type: long */
#define	TA_SEM_OTIME	((BFLDID32)33557492)	/* number: 3060	 type: long */
#define	TA_SEMTICKET	((BFLDID32)33557493)	/* number: 3061	 type: long */
#define	TA_SENTBYT	((BFLDID32)33557496)	/* number: 3064	 type: long */
#define	TA_SENTNUM	((BFLDID32)33557497)	/* number: 3065	 type: long */
#define	TA_SEQUENCE	((BFLDID32)33557498)	/* number: 3066	 type: long */
#define	TA_SERVERCNT	((BFLDID32)33557499)	/* number: 3067	 type: long */
#define	TA_SERVERNAME	((BFLDID32)167775228)	/* number: 3068	 type: string */
#define	TA_SERVICENAME	((BFLDID32)167775229)	/* number: 3069	 type: string */
#define	TA_SETSTATES	((BFLDID32)167775231)	/* number: 3071	 type: string */
#define	TA_SEVERITY	((BFLDID32)167775232)	/* number: 3072	 type: string */
#define	TA_SHM_ATIME	((BFLDID32)33557506)	/* number: 3074	 type: long */
#define	TA_SHM_CONTENTIONS	((BFLDID32)33557507)	/* number: 3075	 type: long */
#define	TA_SHM_CTIME	((BFLDID32)33557508)	/* number: 3076	 type: long */
#define	TA_SHM_DTIME	((BFLDID32)33557509)	/* number: 3077	 type: long */
#define	TA_SHMID	((BFLDID32)33557510)	/* number: 3078	 type: long */
#define	TA_SHMKEY	((BFLDID32)33557511)	/* number: 3079	 type: long */
#define	TA_SHM_NATTCH	((BFLDID32)33557513)	/* number: 3081	 type: long */
#define	TA_SHMSZ	((BFLDID32)33557516)	/* number: 3084	 type: long */
#define	TA_SHRINKPERIOD	((BFLDID32)33557517)	/* number: 3085	 type: long */
#define	TA_SICACHEENTRIESMAX	((BFLDID32)167775246)	/* number: 3086	 type: string */
#define	TA_SIGNATURE_AHEAD	((BFLDID32)33557519)	/* number: 3087	 type: long */
#define	TA_SIGNATURE_BEHIND	((BFLDID32)33557520)	/* number: 3088	 type: long */
#define	TA_SIGNATURE_REQUIRED	((BFLDID32)167775249)	/* number: 3089	 type: string */
#define	TA_SOURCE	((BFLDID32)167775256)	/* number: 3096	 type: string */
#define	TA_SPINCOUNT	((BFLDID32)33557529)	/* number: 3097	 type: long */
#define	TA_SRVGRP	((BFLDID32)167775260)	/* number: 3100	 type: string */
#define	TA_SRVID	((BFLDID32)33557533)	/* number: 3101	 type: long */
#define	TA_SRVTYPE	((BFLDID32)167775262)	/* number: 3102	 type: string */
#define	TA_STARTTIME	((BFLDID32)167775264)	/* number: 3104	 type: string */
#define	TA_STATE	((BFLDID32)167775265)	/* number: 3105	 type: string */
#define	TA_STATUS	((BFLDID32)167775266)	/* number: 3106	 type: string */
#define	TA_SUBSCRIPTION_HANDLE	((BFLDID32)33557539)	/* number: 3107	 type: long */
#define	TA_SUBSCRIPTION_VERSION	((BFLDID32)33557540)	/* number: 3108	 type: long */
#define	TA_SUSPENDED	((BFLDID32)167775269)	/* number: 3109	 type: string */
#define	TA_SUSPTIME	((BFLDID32)33557542)	/* number: 3110	 type: long */
#define	TA_SVCRNAM	((BFLDID32)167775274)	/* number: 3114	 type: string */
#define	TA_SVCTIMEOUT	((BFLDID32)33557547)	/* number: 3115	 type: long */
#define	TA_SVCTYPE	((BFLDID32)167775276)	/* number: 3116	 type: string */
#define	TA_SWRELEASE	((BFLDID32)167775277)	/* number: 3117	 type: string */
#define	TA_SYSTEM_ACCESS	((BFLDID32)167775279)	/* number: 3119	 type: string */
#define	TA_TESTONRELEASE	((BFLDID32)167775290)	/* number: 3130	 type: string */
#define	TA_TESTONRESERVE	((BFLDID32)167775291)	/* number: 3131	 type: string */
#define	TA_TESTTABLE	((BFLDID32)167775292)	/* number: 3132	 type: string */
#define	TA_THREADID	((BFLDID32)33557565)	/* number: 3133	 type: long */
#define	TA_THREADSTACKSIZE	((BFLDID32)33557567)	/* number: 3135	 type: long */
#define	TA_TIME	((BFLDID32)167775296)	/* number: 3136	 type: string */
#define	TA_TIMELEFT	((BFLDID32)33557569)	/* number: 3137	 type: long */
#define	TA_TIMEOUT	((BFLDID32)33557571)	/* number: 3139	 type: long */
#define	TA_TIMERESTART	((BFLDID32)33557572)	/* number: 3140	 type: long */
#define	TA_TIMESTART	((BFLDID32)33557573)	/* number: 3141	 type: long */
#define	TA_TLOGCOUNT	((BFLDID32)33557574)	/* number: 3142	 type: long */
#define	TA_TLOGDATA	((BFLDID32)167775303)	/* number: 3143	 type: string */
#define	TA_TLOGDEVICE	((BFLDID32)167775304)	/* number: 3144	 type: string */
#define	TA_TLOGINDEX	((BFLDID32)33557577)	/* number: 3145	 type: long */
#define	TA_TLOGNAME	((BFLDID32)167775306)	/* number: 3146	 type: string */
#define	TA_TLOGOFFSET	((BFLDID32)33557579)	/* number: 3147	 type: long */
#define	TA_TLOGSIZE	((BFLDID32)33557580)	/* number: 3148	 type: long */
#define	TA_TMDEBUG	((BFLDID32)167775309)	/* number: 3149	 type: string */
#define	TA_TMNETLOAD	((BFLDID32)33557589)	/* number: 3157	 type: long */
#define	TA_TMSCOUNT	((BFLDID32)33557590)	/* number: 3158	 type: long */
#define	TA_TMSNAME	((BFLDID32)167775319)	/* number: 3159	 type: string */
#define	TA_TMTRACE	((BFLDID32)167775320)	/* number: 3160	 type: string */
#define	TA_TOTACTTIME	((BFLDID32)33557593)	/* number: 3161	 type: long */
#define	TA_TOTIDLTIME	((BFLDID32)33557598)	/* number: 3166	 type: long */
#define	TA_TOTNP	((BFLDID32)33557603)	/* number: 3171	 type: long */
#define	TA_TOTNQUEUED	((BFLDID32)33557604)	/* number: 3172	 type: long */
#define	TA_TOTNV	((BFLDID32)33557611)	/* number: 3179	 type: long */
#define	TA_TOTREQC	((BFLDID32)33557612)	/* number: 3180	 type: long */
#define	TA_TOTSFAILNUM	((BFLDID32)33557613)	/* number: 3181	 type: long */
#define	TA_TOTSUCCNUM	((BFLDID32)33557615)	/* number: 3183	 type: long */
#define	TA_TOTWANTERS	((BFLDID32)33557621)	/* number: 3189	 type: long */
#define	TA_TOTWKQUEUED	((BFLDID32)33557622)	/* number: 3190	 type: long */
#define	TA_TOTWKUPRCV	((BFLDID32)33557623)	/* number: 3191	 type: long */
#define	TA_TOTWKUPSENT	((BFLDID32)33557624)	/* number: 3192	 type: long */
#define	TA_TOTWORKL	((BFLDID32)33557625)	/* number: 3193	 type: long */
#define	TA_TPPOLICY	((BFLDID32)167775355)	/* number: 3195	 type: string */
#define	TA_TPTRANID	((BFLDID32)167775356)	/* number: 3196	 type: string */
#define	TA_TRANLEV	((BFLDID32)33557637)	/* number: 3205	 type: long */
#define	TA_TRAN_STATE	((BFLDID32)33557638)	/* number: 3206	 type: long */
#define	TA_TRANTIME	((BFLDID32)33557639)	/* number: 3207	 type: long */
#define	TA_TUXCONFIG	((BFLDID32)167775370)	/* number: 3210	 type: string */
#define	TA_TUXDIR	((BFLDID32)167775371)	/* number: 3211	 type: string */
#define	TA_TUXOFFSET	((BFLDID32)33557645)	/* number: 3213	 type: long */
#define	TA_TXPOLICY	((BFLDID32)167775375)	/* number: 3215	 type: string */
#define	TA_TYPE	((BFLDID32)167775376)	/* number: 3216	 type: string */
#define	TA_UID	((BFLDID32)33557649)	/* number: 3217	 type: long */
#define	TA_ULOGCAT	((BFLDID32)167775378)	/* number: 3218	 type: string */
#define	TA_ULOGLINE	((BFLDID32)33557651)	/* number: 3219	 type: long */
#define	TA_ULOGMSG	((BFLDID32)167775380)	/* number: 3220	 type: string */
#define	TA_ULOGMSGNUM	((BFLDID32)33557653)	/* number: 3221	 type: long */
#define	TA_ULOGPFX	((BFLDID32)167775382)	/* number: 3222	 type: string */
#define	TA_ULOGPROCNM	((BFLDID32)167775383)	/* number: 3223	 type: string */
#define	TA_ULOGTIME	((BFLDID32)33557656)	/* number: 3224	 type: long */
#define	TA_URL	((BFLDID32)167775385)	/* number: 3225	 type: string */
#define	TA_USERLOG	((BFLDID32)167775387)	/* number: 3227	 type: string */
#define	TA_USERROLE	((BFLDID32)167775388)	/* number: 3228	 type: string */
#define	TA_USIGNAL	((BFLDID32)167775389)	/* number: 3229	 type: string */
#define	TA_USRNAME	((BFLDID32)167775390)	/* number: 3230	 type: string */
#define	TA_VALIDATION	((BFLDID32)167775391)	/* number: 3231	 type: string */
#define	TA_VIEWREFRESH	((BFLDID32)167775395)	/* number: 3235	 type: string */
#define	TA_WAITFORCONN	((BFLDID32)167775396)	/* number: 3236	 type: string */
#define	TA_WAITS	((BFLDID32)167775397)	/* number: 3237	 type: string */
#define	TA_WAITTIMEOUT	((BFLDID32)33557670)	/* number: 3238	 type: long */
#define	TA_WKCOMPLETED	((BFLDID32)33557671)	/* number: 3239	 type: long */
#define	TA_WKINITIATED	((BFLDID32)33557672)	/* number: 3240	 type: long */
#define	TA_WKQUEUED	((BFLDID32)33557673)	/* number: 3241	 type: long */
#define	TA_WSC	((BFLDID32)167775404)	/* number: 3244	 type: string */
#define	TA_WSH	((BFLDID32)167775414)	/* number: 3254	 type: string */
#define	TA_WSHCLIENTID	((BFLDID32)167775415)	/* number: 3255	 type: string */
#define	TA_WSHNAME	((BFLDID32)167775416)	/* number: 3256	 type: string */
#define	TA_WSPROTO	((BFLDID32)33557707)	/* number: 3275	 type: long */
#define	TA_XID	((BFLDID32)167775463)	/* number: 3303	 type: string */
#define	TA_EX_NODEID	((BFLDID32)33558032)	/* number: 3600	 type: long */
#define	TA_EX_REMNODEID	((BFLDID32)33558033)	/* number: 3601	 type: long */
#define	TA_EX_LASTSYNC	((BFLDID32)33558034)	/* number: 3602	 type: long */
#define	TA_EX_TIMEDIFF	((BFLDID32)33558035)	/* number: 3603	 type: long */
#define	TA_EX_ROUNDTRIP	((BFLDID32)33558036)	/* number: 3604	 type: long */
#define	TA_EX_FD	((BFLDID32)33558037)	/* number: 3605	 type: long */
#define	TA_EX_CONMODE	((BFLDID32)67112470)	/* number: 3606	 type: char */
#define	TA_EX_TIMEDIFFF	((BFLDID32)33558039)	/* number: 3607	 type: long */
#define	TA_EX_TIME	((BFLDID32)33558040)	/* number: 3608	 type: long */
#define	TA_EX_TIMEF	((BFLDID32)33558041)	/* number: 3609	 type: long */
#endif
/* vim: set ts=4 sw=4 et smartindent: */
